<?php

/**
 * @package         Convert Forms
 * @version         0.2 Free
 *
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2016 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 */

// No direct access
defined('_JEXEC') or die;

require_once __DIR__ . '/wrapper.php';

class NR_CampaignMonitor extends NR_Wrapper
{

	/**
	 * Create a new instance
	 * @param string $key Your CampaignMonitor Access Token
	 * @throws \Exception
	 */
	public function __construct($key)
	{
		parent::__construct();
		$this->setKey($key);
		$this->setEndpoint('https://api.createsend.com/api/v3.1');
		$this->options->set('headers.Authorization', 'Bearer ' . $this->key);
	}

	private function getAuthorizeURL($client_id, $redirect, $scope, $state)
	{
		return "https://api.createsend.com/oauth?type=web_server&client_id=" . $client_id . "&redirect_uri=" . $redirect . "&scope=" . $scope . "&state=" . $state;
	}

}
